CMS Tool API

CMS Tool API schema

Public API version 1.4.51.

Event Attendee

Use the Event Attendee endpoint to get your event attendee information on your site.

Endpoint URL

https://api.cms-tool.net/api/eventAttendee

/api/eventAttendee

Read and update event attendees.

GET

List records, or retrieve one by appending its ID to the path.

Query parameters

NameTypeExampleNotes
idint123Filter results by id.
eventidint123Filter results by eventid.
attendeenametextexampleFilter results by attendeename.
attendeestatustextexampleFilter results by attendeestatus.
includeEventInfobooleantrueInclude event info in the response. Accepts true or 1.
offsetint123Skip this many matching records before returning results.
pageSizeint123Limit the number of records returned; accepted values are 1 through 999, with 200 used otherwise.

POST

Create or update a record from a JSON object.

Request content type: application/json

Request body fields

NameTypeExampleNotes
idint123Set the id value.
eventidint123Set the eventid value.
attendeenametextexampleSet the attendeename value.
attendeestatustextexampleSet the attendeestatus value.
attendeembridint123Set the attendeembrid value.
mbr_emailtextcustomer@example.comSet the mbr email value.

/api/eventAttendee/statusMetaData

Read available attendee statuses.

GET

Read available attendee statuses.

Data definitions

FieldTypeDescriptionFormatExample
attendeesent1weekremindertimestampDate and time the one week reminder email was sent. Blank when not yet sent.
eventidintID of the event booked (events.eventid).
attendeenametextName of the attendee.
attendeesent1dayremindertimestampDate and time the one day reminder email was sent. Blank when not yet sent.
attendeembridintMember ID of the member who made the booking (member.mbr_id).
attendeecountintNumber of places this booking takes.
attendeenotetextThe attendee's free text comments given when booking.
attendeeansweratextThe attendee's answer to the event's booking question A.
attendeestatustextBooking status: Booked (default), Paid, Standby, Tentative, InCart or X-Cancelled. Booked, Paid, Tentative and Standby count towards the event's places taken.
attendeeanswerctextThe attendee's answer to the event's booking question C.
attendeebookedontimestampDate and time the booking was made.
attendeeanswerbtextThe attendee's answer to the event's booking question B.
attendeeidserialUnique attendee booking ID.

Usage instructions and examples

Endpoint examples: 

Create a new event attendee

To create a new event attendee use POST method and do not provide any Id. You may use the event endpoint and member endpoint to get event id and attendeembrid.

You must include an eventid and attendeename for a new attendee. You should provide either a mbr_email or mbr_id for the attendee, so that this attendee will be linked with their member/user/customer record.

Example:

{
   "eventid" : 123,
   "mbr_email" : "test@example.com",
   "mbr_id" : 12345,
   "attendeename" : "Name"
}

Update an existing event attendee

You can also update an existing attendee's details or status. You must include an id. The rest of the parameters provided will be used to update the attendee. With updates you must provide the ID for the known attendee. There is no foreign key.

Example:

{
   "id": 12345,
   "attendeestatus": "Paid",
   ...
}

Status Meta Data

Return all valid status type meta data

End point: https://api.cms-tool.net/webapps/api/eventAttendee/statusMetaData 

{

   "endPoint": "eventattendee/statusMetaData",

   "data": [

       [

     "Booked",

           "Paid",

           "Standby",

           "X-Cancelled",

           "Tentative",

           "InCart"

       ]

   ],

   "success": true

}

Sample object

{ 
   "eventid": 123123,
   "attendeename": "John",
   "mbr_id": 112233,
   "attendeembrid": 112233,
   "attendeecount": 2,
   "attendeestatus": "Booked",
   "id": 11111,
   "attendeebookedon": "2021-12-15 12:16:45.683412",
   "attendeeid": 11111,
   "cid": 100000
}
    

Machine-readable documentation

This documentation is also available as JSON or Markdown at the same URL. Request JSON with Accept: application/json or Markdown with Accept: text/markdown.